Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 20 Apr 2014, 11:46
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
ePDF Viewer 0.1.8 for Wary Puppy 5.3 & 5.3.90
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Sat 03 Nov 2012, 07:18    Post subject:  ePDF Viewer 0.1.8 for Wary Puppy 5.3 & 5.3.90  

I am currently testing the beta version of Wary Puppy, and I see that it still has ePDFView version 0.1.7 While version 0.1.8 came out last year, BarryK found there were issues with it while trying to print, and so he rolled back Poppler which is one of the dependencies for this app. Since then, some other issues were found with printing in Wary Puppy that were looked at, and fixed (I think)...

That said, I decided to try compiling version 0.1.8 in Wary 5.3.90 to see if it would work, because there are some important bug fixes in this release especially with respect to keyboard behavior. So far my tests are positive: the program appears to install correctly, printing works, and the backspace and enter keys are working properly within this program. However, since Wary is still beta, and there may be other issues that I am not aware of, (Barry may have some solid reasons for not upgrading ePDFView at present) I am offering this Pet now for testing purposes in Wary 5.3.90 only.

Install this Pet normally, that is to say, let it overwrite the existing version of ePDFViewer built into Puppy. If desired, it's easy to remove the newest version in Puppy Package Manager, and revert to using the old one instead.

Note that I did compile the source code for the current Wary 5.3 but I had some issues with the menu in JWM, so again, my pet is for testing purposes in Wary 5.3.90 only.


Edit: I don't know how I missed this, but I have ePDF Viewer showing up in three places in the Menu: in Documents, Utilities, and Graphic so there are still issues to sort out with the menu. As a workaround, I tried deleting the entries within the Utilities and Graphic categories in .jwmrc, saving the changes and restarting JWM but... the menu entries returned on next re-boot. Sad

Hmmm, I'll have to think about this... not sure where the problem lies exactly. I may opt to re-compile ePDF Viewer to the local path like I did for Wary 5.3 just so the menu stays in order.

If anyone has some good ideas, suggestions, info re: troubleshooting the issues with the menu, I am interested in hearing from you...

Update: November 6th

I re-compiled with a new configuration of .desktop file in source code and it appears that the issues with the menu have been resolved... yes! Very Happy Therefore I've uploaded a new Pet for testing in Wary 5.3.90

Thanks,
Monsie
epdfview-W5.3.90-0.1.8-i686.pet
Description 
pet

 Download 
Filename  epdfview-W5.3.90-0.1.8-i686.pet 
Filesize  129.99 KB 
Downloaded  383 Time(s) 

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.

Last edited by Monsie on Wed 07 Nov 2012, 02:45; edited 3 times in total
Back to top
View user's profile Send private message 
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Sun 04 Nov 2012, 01:01    Post subject: ePDF Viewer 0.1.8 for Wary Puppy 5.3 & 5.3.90  

Update:

I have re-compiled ePDF Viewer in Wary 5.3 and used a workaround for the problems with the menu in JWM. This new installation uses the local path and therefore keeps the existing version of ePDF Viewer (version 0.1.7) intact. To use ePDF Viewer 0.1.8 after installing the Pet, one simple change is necessary:

--> /usr/bin directory and rename the executable epdfview to epdfview.old --done! The existing menu entry for ePDF Viewer in the Documents category will now open the new version. Further, both .desktop entries now function to open version 0.1.8 of ePDF Viewer.

While this is not exactly how the menu is supposed to work, I find that it is the easiest "fix" for Wary 5.3 It appears that BarryK has made some changes to the the categories and menu structure as of last August and put them into Woof, so these improvements are showing up in the new builds of Puppy. Very Happy

Monsie
epdfview-W5.3rev-0.1.8-i686.pet
Description 
pet

 Download 
Filename  epdfview-W5.3rev-0.1.8-i686.pet 
Filesize  129.91 KB 
Downloaded  408 Time(s) 

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Sun 04 Nov 2012, 10:41    Post subject:  

Dear Monsie,

Thanks. Even though you compiled in Wary, I tried in Lucid and it works! Smile

With kind regards,
vovchik
Back to top
View user's profile Send private message 
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Mon 05 Nov 2012, 01:47    Post subject: ePDF Viewer for Wary Puppy 5.3.90  

Thanks, vovchik

I did not expect my Pet would work with another breed of Puppy... that was a nice surprise. Smile

Did you know there is a Pet for ePDFView 0.1.8 that rcrsn51 put together for Lupu? If not, I thought I should bring it to your attention, and it is available right here.

Since I don't run Lucid Puppy, I cannot test that package, but I am interested in knowing if it works properly in the Menu without having to do any workarounds.

Monsie

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.
Back to top
View user's profile Send private message 
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Wed 07 Nov 2012, 05:49    Post subject: ePDF Viewer 0.1.8 for Wary Puppy 5.3 & 5.3.90  

Hi all,

Just to be clear, the solution that I used to resolve the menu issues in Wary 5.3.90 does not appear to work with Wary 5.3 as I am getting a weird error message when opening ePDF Viewer... so at this point my workaround for Wary 5.3 is as good as it gets. I will look into this further.

Monsie

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.
Back to top
View user's profile Send private message 
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Wed 02 Jan 2013, 05:47    Post subject: ePDF Viewer 0.1.8 for Wary Puppy 5.3 & 5.3.90  

Hi all,

I haven't yet resolved the error message I get when I try to install version 0.1.8 over the existing version 0.1.7 but I haven't spent much time on this lately. I still do want to look at this issue though. I did make one revision however, and really, it is just a cosmetic fix. I made a new Pet which retains the pixmap icon from version 0.1.7 because it looks better than the png icon replacement in version 0.1.8 and it also maintains the consistency and looks of the Puppy main menu.

Note that you still need to rename the original executable epdfview (which is version 0.1.7) to epdfview.old if you are installing this update for the first time... as explained in my earlier post.

Monsie
epdfview-W5.3r02-0.1.8-i686.pet
Description 
pet

 Download 
Filename  epdfview-W5.3r02-0.1.8-i686.pet 
Filesize  129.92 KB 
Downloaded  265 Time(s) 

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0549s ][ Queries: 13 (0.0066s) ][ GZIP on ]